> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korve.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Get managed cache configuration without credentials.



## OpenAPI

````yaml /openapi.json get /v1/orgs/{orgId}/projects/{projectId}/caches/{cacheId}
openapi: 3.1.0
info:
  title: Korve API
  version: 0.1.0
  description: >-
    Typed control plane for deploying applications and explicitly provisioning
    their managed infrastructure.
servers:
  - url: https://api.korve.dev
security: []
paths:
  /v1/orgs/{orgId}/projects/{projectId}/caches/{cacheId}:
    get:
      tags:
        - caches
      summary: Get
      description: Get managed cache configuration without credentials.
      operationId: caches.get
      parameters:
        - name: orgId
          in: path
          required: true
          schema:
            type: string
          description: The organization's id (UUID) or slug — either form is accepted.
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: The project's id (UUID) or slug — either form is accepted.
        - name: cacheId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Cache configuration.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                    pattern: ^[a-z][a-z0-9-]{1,61}$
                  environment:
                    type: string
                  status:
                    type: string
                    enum:
                      - provisioning
                      - ready
                      - failed
                  region:
                    type: string
                  sku:
                    type: string
                  memoryMb:
                    type: integer
                  persistence:
                    type: string
                    enum:
                      - none
                      - aof
                  evictionPolicy:
                    type: string
                    enum:
                      - allkeys-lru
                      - allkeys-lfu
                      - volatile-lru
                      - noeviction
                  host:
                    type: string
                    description: Branded TLS cache endpoint.
                  port:
                    type: integer
                  tls:
                    type: boolean
                  createdAt:
                    type: string
                    format: date-time
                required:
                  - id
                  - name
                  - environment
                  - status
                  - region
                  - sku
                  - memoryMb
                  - persistence
                  - evictionPolicy
                  - host
                  - port
                  - tls
                  - createdAt
                additionalProperties: false
        '404':
          description: No such cache.
      security:
        - apiKey: []
        - session: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: korve_api_key
    session:
      type: apiKey
      in: cookie
      name: korve.session_token

````